GNU Radio's SATELLITES Package

gr::satellites::encode_rs_impl Class Reference

`#include <encode_rs_impl.h>`

Inheritance diagram for gr::satellites::encode_rs_impl:
[legend]

## Public Member Functions
| encode_rs_impl (bool dual_basis, int interleave=1)
| encode_rs_impl (int symsize, int gfpoly, int fcr, int prim, int nroots, int interleave=1)
| ~encode_rs_impl ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
void | msg_handler (pmt::pmt_t pmt_msg)

## Additional Inherited Members
Public Types inherited from gr::satellites::encode_rs
typedef boost::shared_ptr< encode_rs > | sptr
Static Public Member Functions inherited from gr::satellites::encode_rs
static sptr | make (bool dual_basis, int interleave=1)
| Return a shared_ptr to a new instance of satellites::encode_rs.
static sptr | make (int symsize, int gfpoly, int fcr, int prim, int nroots, int interleave=1)

## Constructor & Destructor Documentation

## ◆ encode_rs_impl() [1/2]

gr::satellites::encode_rs_impl::encode_rs_impl | ( | bool | dual_basis,
|  | int | interleave = 1 )

## ◆ encode_rs_impl() [2/2]

gr::satellites::encode_rs_impl::encode_rs_impl | ( | int | symsize,
|  | int | gfpoly,
|  | int | fcr,
|  | int | prim,
|  | int | nroots,
|  | int | interleave = 1 )

References fcr, nroots, and prim.

## ◆ ~encode_rs_impl()

gr::satellites::encode_rs_impl::~encode_rs_impl | ( |  | ) |

## Member Function Documentation

## ◆ forecast()

void gr::satellites::encode_rs_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required )

## ◆ general_work()

int gr::satellites::encode_rs_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## ◆ msg_handler()

void gr::satellites::encode_rs_impl::msg_handler | ( | pmt::pmt_t | pmt_msg | ) |

The documentation for this class was generated from the following file:

- encode_rs_impl.h